Next Commerce
API ReferenceApps

Apps Retrieve

Retrieve a object of app.

GET
/apps/{clientId}/
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Path Parameters

clientId*string|null

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/apps/string/" \  -H "X-29next-API-Version: 2024-04-01"
{  "client_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "name": "string",  "settings": null,  "updated_at": "2019-08-24T14:15:22Z",  "version": "string"}